Difficulty installing and running Neptune


#1

Hello,

We’re looking at neptune as a potential solution for optimization of ML models at our institution but I am having trouble getting started.

I am running Anaconda (version: 4.0.5) and pip (version: 9.0.1).

In a new virtual environment, I run:

pip install neptune-cli

that returns:

Installing collected packages: websocket-client, PyYAML, tornado
  Found existing installation: websocket-client 0.37.0
    Uninstalling websocket-client-0.37.0:
      Successfully uninstalled websocket-client-0.37.0
  Found existing installation: PyYAML 3.12
    Uninstalling PyYAML-3.12:
      Successfully uninstalled PyYAML-3.12
  Found existing installation: tornado 4.4.2
    DEPRECATION: Uninstalling a distutils installed project (tornado) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
    Uninstalling tornado-4.4.2:
      Successfully uninstalled tornado-4.4.2
Successfully installed PyYAML-3.11 tornado-4.3 websocket-client-0.35.0

Then I run:

neptune login

which returns:

C:\Anaconda\python.exe: No module named deepsense.neptune.cli

Please let me know if additional information is needed.

Thank you in advance.
-Tommy


#2

Hi,

can you share with us what “pip freeze” outputs?

Best regards,
Hubert Jaworski


#3

New version of cli with fix for installation issues on Windows has just been released.